exports.TextDecoder = (Decoder, Code, hexTrue = false, hexCode = "hex") => {
	if (hexTrue == true) {
		return Buffer.from(Code, hexCode).toString(Decoder)
	}
	const decoder = new TextDecoder(Decoder);
	return decoder.decode(Code);
}
exports.TextDecoderBase64 = (Decoder, Code) => {
	var b = new Buffer.from(Code, 'base64')
	const decoder = new TextDecoder(Decoder);
	let deCode = decoder.decode(b);
	b = Buffer.from(deCode).toString('base64')
	return b;
}
exports.TextToBase64 = (Code) => {
	var b = Buffer.from(Code).toString('base64')
	return b;
}
exports.Base64ToText = (Code) => {
	var b = new Buffer.from(Code, 'base64')
	return b.toString();
}
exports.TextTo16 = (Code) => {
	var b = Buffer.from(Code).toString('hex')
	return b;
}
exports.HexToText = (Code) => {
	var b = new Buffer.from(Code, 'hex')
	return b.toString();
}